@if (componentData$()) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15 overflow-y-auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <span class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </span>
          </ng-template>
          <sqtm-app-ai-server-information-panel
            [componentData]="componentData$()"
          />
        </nz-collapse-panel>
      </nz-collapse>

      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'authentication-protocol'"
          [sqtmCoreAnchorCollapsePanel]="'authentication-protocol'"
          [nzHeader]="authProtocolTitle"
        >
          <ng-template #authProtocolTitle>
            <span
              [attr.data-test-element-id]="
                'authentication-protocol-panel-title'
              "
              class="entity-view-collapse-panel-title"
            >
              {{ 'sqtm-core.entity.server.auth-protocol.label' | translate }}
            </span>
          </ng-template>
          <span>{{
            'sqtm-core.entity.server.auth-protocol.token-auth.label' | translate
          }}</span>
        </nz-collapse-panel>
      </nz-collapse>

      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'authentication-policy'"
          [sqtmCoreAnchorCollapsePanel]="'authentication-policy'"
          [nzHeader]="authPolicyTitle"
        >
          <ng-template #authPolicyTitle>
            <span class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.server.auth-policy.label' | translate }}
            </span>
          </ng-template>
          <sqtm-app-ai-server-auth-policy-panel></sqtm-app-ai-server-auth-policy-panel>
        </nz-collapse-panel>
      </nz-collapse>

      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'payload'"
          [sqtmCoreAnchorCollapsePanel]="'payload'"
          [nzHeader]="payloadTitle"
        >
          <div class="entity-view-collapse-panel-title flex space-between">
            <ng-template #payloadTitle>
              <div
                class="flex align-items center flex-1 entity-view-collapse-panel-title"
              >
                <span>
                  {{
                    'sqtm-core.administration-workspace.servers.ai.configuration.label'
                      | translate
                  }}
                </span>
                <a [href]="aiServerConfigurationDocUrl" target="_blank">
                  <i
                    nz-icon
                    nzType="sqtm-core-generic:help"
                    nzTheme="outline"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.administration-workspace.servers.ai.help.text'
                        | translate
                    "
                    nzTooltipPlacement="top"
                    class="font-20-px current-workspace-main-color"
                  ></i>
                </a>
              </div>
            </ng-template>
          </div>

          <sqtm-app-ai-server-payload-panel [componentData]="componentData$()">
          </sqtm-app-ai-server-payload-panel>
        </nz-collapse-panel>
      </nz-collapse>

      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          sqtmCoreAnchorLastPanel
          [sqtmCoreAnchorPanel]="'requirement-test'"
          [sqtmCoreAnchorCollapsePanel]="'requirement-test'"
          [nzHeader]="requirementTest"
        >
          <ng-template #requirementTest>
            <span class="flex-1 entity-view-collapse-panel-title">
              {{
                'sqtm-core.administration-workspace.servers.ai.test-space'
                  | translate
              }}
            </span>
          </ng-template>
          <sqtm-app-ai-server-requirement-model-panel
            [componentData]="componentData$()"
          >
          </sqtm-app-ai-server-requirement-model-panel>
        </nz-collapse-panel>
      </nz-collapse>

      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
